For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Start a new import process for a big segment. This is an import for a list-based segment that can include more than 15,000 entries.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/imports \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'mode=<string>' \
--form waitOnApprovals=true{
"code": "invalid_request",
"message": "Invalid request body"
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The environment key
The segment key
Import request submitted successfully
curl --request POST \
--url https://app.launchdarkly.com/api/v2/segments/{projectKey}/{environmentKey}/{segmentKey}/imports \
--header 'Authorization: <api-key>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'mode=<string>' \
--form waitOnApprovals=true{
"code": "invalid_request",
"message": "Invalid request body"
}